Subject: RE: [PATCH/2.6.17-rc4 1/10] Powerpc: Add general support for mpc7 448h pc2 (Taiga) platform

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 02 Jun 2006 17:32:44 +1000

> If I really need to use bat0 or bat1( I see that the general mmu use bat2 and bat3, 
> where should I set up them?
> 
> For tsi108 pci configuration access, I need to map 16Mbyte 
> physical address.  If I do not use an extra bat, I can not get the correct 
> virtual address use ioremap.

What do you mean ? An ioremap will work, it will give you any virtual
address, you just have to store that in a global instead of hard coding
it. Hard coded virtual addresses are bad. Especially for things like PCI
config space that really isn't performance sensitive.

Ben.